> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unleeshed.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook

> Update webhook configuration

Update a webhook's URL, events, or status.

<Note>
  Cannot change the webhook secret. Create a new webhook if you need a new secret.
</Note>

## Path Parameters

<ParamField path="id" type="string" required>
  Webhook ID
</ParamField>

## Request Body

<ParamField body="url" type="string">
  New HTTPS URL for the webhook
</ParamField>

<ParamField body="events" type="string[]">
  New event subscriptions
</ParamField>

<ParamField body="status" type="string">
  Set to `active` or `paused`
</ParamField>

<RequestExample>
  ```bash theme={null}
  curl -X PATCH https://prod.api.unleeshed.ai/partner/v1/webhooks/whk_abc123 \
    -H "X-Api-Key: your_api_key" \
    -H "Content-Type: application/json" \
    -d '{
      "status": "paused"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "data": {
      "id": "whk_abc123",
      "url": "https://your-domain.com/webhooks/unleeshed",
      "events": ["creator.approved", "partner.approved", "commentary.failed"],
      "status": "paused",
      "consecutive_failures": 0,
      "last_delivery_at": "2026-02-04T12:30:00Z",
      "created_at": "2026-02-04T10:00:00Z",
      "updated_at": "2026-02-04T15:00:00Z"
    }
  }
  ```
</ResponseExample>
